Loading...
Searching...
No Matches
stream_to_streams.h
Go to the documentation of this file.
/* -*- c++ -*- */
/*
* Copyright 2012 Free Software Foundation, Inc.
*
* This file is part of GNU Radio
*
* SPDX-License-Identifier: GPL-3.0-or-later
*
*/
#ifndef INCLUDED_BLOCKS_STREAM_TO_STREAMS_H
#define INCLUDED_BLOCKS_STREAM_TO_STREAMS_H
#include <gnuradio/blocks/api.h>
#include <gnuradio/sync_decimator.h>
namespace gr {
namespace blocks {
/*!
* \brief convert a stream of items into a N streams of items
* \ingroup stream_operators_blk
*
* \details
* Converts a stream of N items into N streams of 1 item.
* Repeat ad infinitum.
*/
class BLOCKS_API stream_to_streams : virtual public sync_decimator
{
public:
// gr::blocks::stream_to_streams::sptr
typedef std::shared_ptr<stream_to_streams> sptr;
/*!
* Make a stream-to-streams block.
*
* \param itemsize the item size of the stream
* \param nstreams number of streams to split input into
*/
static sptr make(size_t itemsize, size_t nstreams);
};
} /* namespace blocks */
} /* namespace gr */
#endif /* INCLUDED_BLOCKS_STREAM_TO_STREAMS_H */
gr::blocks::stream_to_streams
convert a stream of items into a N streams of items
Definition stream_to_streams.h:29
gr::blocks::stream_to_streams::make
static sptr make(size_t itemsize, size_t nstreams)
gr::blocks::stream_to_streams::sptr
std::shared_ptr< stream_to_streams > sptr
Definition stream_to_streams.h:32
gr::sync_decimator::sync_decimator
sync_decimator(void)
Definition sync_decimator.h:31
api.h
BLOCKS_API
#define BLOCKS_API
Definition gr-blocks/include/gnuradio/blocks/api.h:18
gr::blocks
Definition abs_blk.h:20
gr
GNU Radio logging wrapper.
Definition basic_block.h:29
sync_decimator.h